<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/ApplicationUtilities/Resources/Audio/src/CommunicationsAudioFactory.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_748b5abbb33df61eda67007924a1a0cb.html">ApplicationUtilities</a></li><li class="navelem"><a class="el" href="dir_64fbf9e5512ec11acc25e4f2d433d2a3.html">Resources</a></li><li class="navelem"><a class="el" href="dir_3d91e97c9556b93865bb7c5dee8d4e5e.html">Audio</a></li><li class="navelem"><a class="el" href="dir_b51783db643fb76509d872fb0290629a.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">CommunicationsAudioFactory.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="_communications_audio_factory_8h_source.html">Audio/CommunicationsAudioFactory.h</a>&quot;</code><br />
<code>#include &lt;<a class="el" href="_stream_functions_8h_source.html">AVSCommon/Utils/Stream/StreamFunctions.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="system__comm__call__connected___8mp3_8h_source.html">Audio/Data/system_comm_call_connected_.mp3.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="system__comm__call__disconnected___8mp3_8h_source.html">Audio/Data/system_comm_call_disconnected_.mp3.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="system__comm__drop__in__connected___8mp3_8h_source.html">Audio/Data/system_comm_drop_in_connected_.mp3.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="system__comm__outbound__ringtone___8mp3_8h_source.html">Audio/Data/system_comm_outbound_ringtone_.mp3.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="system__comm__call__incoming__ringtone__intro___8mp3_8h_source.html">Audio/Data/system_comm_call_incoming_ringtone_intro_.mp3.h</a>&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for CommunicationsAudioFactory.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_communications_audio_factory_8cpp__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_application_utilities_2_resources_2_audio_2src_2_communications_audio_factory_8cpp" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_application_utilities_2_resources_2_audio_2src_2_communications_audio_factory_8cpp" id="_2workplace_2avs-device-sdk_2_application_utilities_2_resources_2_audio_2src_2_communications_audio_factory_8cpp">
<area shape="rect" id="node2" href="_communications_audio_factory_8h.html" title="Audio/CommunicationsAudio\lFactory.h" alt="" coords="79,125,271,164"/>
<area shape="rect" id="node7" href="_stream_functions_8h.html" title="AVSCommon/Utils/Stream\l/StreamFunctions.h" alt="" coords="270,225,448,264"/>
<area shape="rect" id="node8" href="system__comm__call__connected___8mp3_8h.html" title="Audio/Data/system_comm\l_call_connected_.mp3.h" alt="" coords="371,125,547,164"/>
<area shape="rect" id="node9" href="system__comm__call__disconnected___8mp3_8h.html" title="Audio/Data/system_comm\l_call_disconnected_.mp3.h" alt="" coords="572,125,754,164"/>
<area shape="rect" id="node10" href="system__comm__drop__in__connected___8mp3_8h.html" title="Audio/Data/system_comm\l_drop_in_connected_.mp3.h" alt="" coords="779,125,969,164"/>
<area shape="rect" id="node11" href="system__comm__outbound__ringtone___8mp3_8h.html" title="Audio/Data/system_comm\l_outbound_ringtone_.mp3.h" alt="" coords="993,125,1181,164"/>
<area shape="rect" id="node12" href="system__comm__call__incoming__ringtone__intro___8mp3_8h.html" title="Audio/Data/system_comm\l_call_incoming_ringtone\l_intro_.mp3.h" alt="" coords="1205,119,1382,171"/>
<area shape="rect" id="node3" href="_communications_audio_factory_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Audio/CommunicationsAudioFactory\lInterface.h" alt="" coords="5,219,246,271"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1application_utilities"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities.html">alexaClientSDK::applicationUtilities</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1application_utilities_1_1resources"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1resources.html">alexaClientSDK::applicationUtilities::resources</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio.html">alexaClientSDK::applicationUtilities::resources::audio</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a506689f4d33482e06c7e9201645f6467"><td class="memItemLeft" align="right" valign="top">static std::unique_ptr&lt; std::istream &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio.html#a506689f4d33482e06c7e9201645f6467">alexaClientSDK::applicationUtilities::resources::audio::callConnectedRingtoneFactory</a> ()</td></tr>
<tr class="separator:a506689f4d33482e06c7e9201645f6467"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa3171211c7a1a770a21b4327f45167a3"><td class="memItemLeft" align="right" valign="top">static std::unique_ptr&lt; std::istream &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio.html#aa3171211c7a1a770a21b4327f45167a3">alexaClientSDK::applicationUtilities::resources::audio::callDisconnectedRingtoneFactory</a> ()</td></tr>
<tr class="separator:aa3171211c7a1a770a21b4327f45167a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57c962800953b3cf721d43f0199b3503"><td class="memItemLeft" align="right" valign="top">static std::unique_ptr&lt; std::istream &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio.html#a57c962800953b3cf721d43f0199b3503">alexaClientSDK::applicationUtilities::resources::audio::outboundRingtoneFactory</a> ()</td></tr>
<tr class="separator:a57c962800953b3cf721d43f0199b3503"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad4edb6629e4fea33b6928687a22cfbe4"><td class="memItemLeft" align="right" valign="top">static std::unique_ptr&lt; std::istream &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio.html#ad4edb6629e4fea33b6928687a22cfbe4">alexaClientSDK::applicationUtilities::resources::audio::dropInConnectedRingtoneFactory</a> ()</td></tr>
<tr class="separator:ad4edb6629e4fea33b6928687a22cfbe4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f92c828069003958b9d3286548f3213"><td class="memItemLeft" align="right" valign="top">static std::unique_ptr&lt; std::istream &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio.html#a5f92c828069003958b9d3286548f3213">alexaClientSDK::applicationUtilities::resources::audio::callIncomingRingtoneFactory</a> ()</td></tr>
<tr class="separator:a5f92c828069003958b9d3286548f3213"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
